=== debian/changelog ===
trust-store (1.1.0+14.10.20141015-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * debian/libtrust-store1.symbols: auto-update to released version

  [ thomas-voss ]
  * Add an agent implementation that allows for selectively whitelisting
    certain apps. (LP: #1374577)
  * Do not prompt or cache accesses being issued by the camera app. (LP:
    #1374397)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 15 Oct 2014 18:23:41 +0000

trust-store (1.1.0+14.10.20141014.1-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Make sure that the text domain is only adjusted if i18n is actually
    requested. (LP: #1380916)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 14 Oct 2014 09:16:35 +0000

trust-store (1.1.0+14.10.20141009-0ubuntu1) utopic; urgency=low

  [ Alberto Aguirre ]
  * Fix packaging issue due to some install files moving from libtrust-
    store1 to trust-store-bin

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 09 Oct 2014 19:28:10 +0000

trust-store (1.1.0+14.10.20141008.1-0ubuntu1) utopic; urgency=medium

  [ Thomas Voß ]
  * Add i18n support to the store.

  [ Ubuntu daily release ]
  * debian/libtrust-store1.symbols: auto-update to released version

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 08 Oct 2014 11:27:16 +0000

trust-store (1.0.0+14.10.20141006-0ubuntu1) utopic; urgency=low

  [ Alberto Aguirre ]
  * Attempt mir connection more than once (LP: #1377159)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 06 Oct 2014 16:36:29 +0000

trust-store (1.0.0+14.10.20141001-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * debian/libtrust-store1.symbols: auto-update to released version
  * New rebuild forced

  [ thomas-voss ]
  * Throw on invalid mir connection or invalid prompt session. (LP:
    #1370444)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 01 Oct 2014 20:32:32 +0000

trust-store (1.0.0+14.10.20140826.1-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * debian/libtrust-store1.symbols: auto-update to released version

  [ thomas-voss ]
  * Add an agent implementation that strips off version information, and
    leaves other information intact. (LP: #1356343)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 26 Aug 2014 15:11:18 +0000

trust-store (1.0.0+14.10.20140814.1-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * debian/libtrust-store1.symbols: auto-update to released version

  [ thomas-voss ]
  * Add a reporter interface and a Google Log based implementation for
    core::trust::CachedAgent. (LP: #1354032)
  * Add a preseed helper and accompanying test.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 14 Aug 2014 13:23:05 +0000

trust-store (1.0.0+14.10.20140807-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Remove unneeded build dependencies.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 07 Aug 2014 09:10:54 +0000

trust-store (1.0.0+14.10.20140806.7-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * debian/libtrust-store1.symbols: auto-update to released version

  [ thomas-voss ]
  * Bail out in daemons if config and init stage fails. Add a simple
    shell to core::trust::Daemon::Stub for testing purposes. Add
    acceptance test for standalone service, in preparation for patches
    to the Android Camera Service. Add tagged integer types for Pid, Uid
    and Gid. Add test case to cover end-end scenarios for
    UnixDomainSocketRemoteAgent. Add a remote agent interface together
    with an implementation for unix domain sockets.
  * Leverage "PRAGMA user_version" to be able to handle upgrades in a
    future versoin. (LP: #1348481)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 06 Aug 2014 13:48:26 +0000

trust-store (1.0.0+14.10.20140725-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Install test executables to CMAKE_INSTALL_LIBDIR instead of
    CMAKE_INSTALL_BINDIR. (LP: #1343533)
  * Install executor on internal session bus connection. (LP: #1347739)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 25 Jul 2014 09:22:46 +0000

trust-store (1.0.0+14.10.20140718.2-0ubuntu2) utopic; urgency=medium

  * Fix trust-store-tests dependency.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Jul 2014 17:22:15 +0100

trust-store (1.0.0+14.10.20140718.2-0ubuntu1) utopic; urgency=medium

  [ Thomas Voß ]
  * Bump major revision and so name to account for toolchain update.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 18 Jul 2014 15:32:04 +0000

trust-store (0.0.1+14.10.20140717.8-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * debian/*symbols: auto-update new symbols to released version

  [ thomas-voss ]
  * Provide an agent implementation that leverages Mir's trusted
    prompting API. Introduce a default prompt provider using Qt/QML.
    Provide a test harness around the core::trust::mir::Agent
    implementation and the prompt provider. Add a convenience function
    for processing incoming requests.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 17 Jul 2014 18:45:56 +0000

trust-store (0.0.1+14.10.20140717.1-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Remove obsolete data/session.conf and data/system.conf files. Adjust
    directory creation default mode to 0755. (LP: #1338587)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 17 Jul 2014 08:52:11 +0000

trust-store (0.0.1+14.10.20140626.1-0ubuntu1) utopic; urgency=low

  [ Thomas Voß ]
  * Initial upload.

  [ Ubuntu daily release ]
  * debian/*symbols: auto-update new symbols to released version

  [ thomas-voss ]
  * Initial commit.
  * Added a packaging setup.
  * Added missing build-dep on pkg-config.
  * Added doxygen documentation to public-facing API. Refactored SQLite3

