=== debian/control ===
Source: trust-store
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 9),
               doxygen,
               google-mock,
               graphviz,
# We rely on C++11 features, and to prevent from ABI breaks
# in libstdc++ causing us issues, we explicitly select a G++
# version.
               g++-4.9,
               libapparmor-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libdbus-cpp-dev (>= 4.0.0),
               libdbus-1-dev,
               libgflags-dev,
               libgoogle-glog-dev,
               libgtest-dev,
               libjson-c-dev,
               libmirclient-dev [amd64 arm64 i386 armhf],
               libprocess-cpp-dev,
               libsqlite3-dev,
               pkg-config,
               qt5-default,
               qtbase5-dev,
               qtdeclarative5-dev,
Standards-Version: 3.9.5
Section: libs
Homepage: https://launchpad.net/trust-store
# if you don't have have commit access to this branch but would like to upload
# directly to Ubuntu, don't worry: your changes will be merged back into the
# upstream branch
Vcs-Bzr: lp:trust-store

Package: libtrust-store1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: C++11 library for persisting trust requests - runtime library
 Provides a common implementation of a trust store to be used by trusted
 helpers.
 .
 This package includes the trust-store runtime libraries.

Package: libtrust-store-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Recommends: libtrust-store-doc,
Depends: libtrust-store1 (= ${binary:Version}),
         ${misc:Depends},
Description: C++11 library for persisting trust requests - dev files
 Provides a common implementation of a trust store to be used by trusted
 helpers.
 .
 This package includes all the development headers and libraries for
 trust-store.

Package: trust-store-bin
Section: devel
Architecture: any
Depends: libtrust-store1 (= ${binary:Version}),
         ${misc:Depends},
Replaces: libtrust-store1 (<< 1.1.0+14.10.20141008),
Breaks: libtrust-store1 (<< 1.1.0+14.10.20141008),
Description: Daemon binaries to be used by services.
 Provides a common implementation of a trust store to be used by trusted
 helpers.
 .
 Daemon binaries to be used by services.

Package: trust-store-tests
Section: libdevel
Architecture: any
Depends: libtrust-store1 (= ${binary:Version}),
         ${misc:Depends},
Suggests: libtrust-store-dev,
Description: Test files for libtrust-store1
 Provides a common implementation of a trust store to be used by trusted
 helpers.
 .
 This package includes test executables packaged for post-build execution.

Package: libtrust-store-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Suggests: libtrust-store-dev,
Description: Documentation files for libtrust-store-dev
 Provides a common implementation of a trust store to be used by trusted
 helpers.
 .
 This package includes documentation files for developing with and for
 libtrust-store-dev.
