=== src/CMakeLists.txt ===
--- 
+++ 
@@ -90,6 +90,10 @@
   add_executable(
     trust-prompt
 
+    # Translation helper
+    core/trust/i18n.h
+    core/trust/i18n.cpp
+
     core/trust/mir/prompt_main.cpp
   )
