## trust-store 1.1.0+15.04.20150213

=== debian/changelog ===
trust-store (1.1.0+15.04.20150213-0ubuntu1) vivid; urgency=medium

  [ thomas-voss ]
  * Add support for enabling the testability driver for the trust
    prompt. (LP: #1420790)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 13 Feb 2015 13:54:28 +0000
