## trust-store 1.1.0+15.10.20150629

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,6 @@
   )
 endif()
 
-pkg_check_modules(GFLAGS libgflags REQUIRED)
 pkg_check_modules(GLOG libglog REQUIRED)
 pkg_check_modules(PROCESS_CPP process-cpp REQUIRED)
 
@@ -56,7 +55,6 @@
 include_directories(
   include/
 
-  ${GFLAGS_INCLUDE_DIRS}
   ${GLOG_INCLUDE_DIRS}
   ${PROCESS_CPP_INCLUDE_DIRS}
 )
