=== src/CMakeLists.txt ===
--- 
+++ 
@@ -183,7 +183,6 @@
 
   ${Boost_LIBRARIES}
   ${DBUS_LIBRARIES}
-  ${GFLAGS_LDFLAGS}
   ${GLOG_LDFLAGS}
   ${LIBAPPARMOR_LDFLAGS}
   ${MIR_CLIENT_LDFLAGS}
