=== debian/control ===
--- 
+++ 
@@ -15,11 +15,10 @@
                libboost-system-dev,
                libdbus-cpp-dev (>= 4.0.0),
                libdbus-1-dev,
-               libgflags-dev,
                libgoogle-glog-dev,
                libgtest-dev,
                libjson-c-dev,
-               libmirclient-dev [amd64 arm64 i386 armhf],
+               libmirclient-dev (>= 0.14.0),
                libprocess-cpp-dev,
                libsqlite3-dev,
                pkg-config,
