## trust-store 2.0.0

=== debian/changelog ===
trust-store (2.0.0-0ubuntu1) wily; urgency=medium

  * Bump major revision to account for toolchain update. Fixes LP:#1452341

 -- Thomas Voß <thomas.voss@canonical.com>  Thu, 23 Jul 2015 09:22:15 +0200
