## trust-store 2.0.0+15.10.20150831.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,8 +46,8 @@
 pkg_check_modules(GLOG libglog REQUIRED)
 pkg_check_modules(PROCESS_CPP process-cpp REQUIRED)
 
-set(TRUST_STORE_VERSION_MAJOR 1)
-set(TRUST_STORE_VERSION_MINOR 1)
+set(TRUST_STORE_VERSION_MAJOR 2)
+set(TRUST_STORE_VERSION_MINOR 0)
 set(TRUST_STORE_VERSION_PATCH 0)
 
 include(CTest)
@@ -55,6 +55,7 @@
 include_directories(
   include/
 
+  ${GFLAGS_INCLUDE_DIRS}
   ${GLOG_INCLUDE_DIRS}
   ${PROCESS_CPP_INCLUDE_DIRS}
 )
