=== debian/changelog ===
trust-store (2.0.0+15.10.20150831.3-0ubuntu1) wily; urgency=medium

  [ Alfonso Sanchez-Beato (email Canonical) ]
  * Merge wily changes upstream

  [ CI Train Bot ]
  * No-change rebuild.

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 31 Aug 2015 15:11:25 +0000

trust-store (1.1.0+15.04.20150820-0ubuntu1) vivid; urgency=medium

  [ Ken VanDine ]
  * localize string "<application> is trying to access <service>" (LP:
    #1487142)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 20 Aug 2015 18:19:04 +0000

trust-store (1.1.0+15.04.20150817-0ubuntu1) vivid; urgency=medium

  * Resync trunk. added: po/ku.po

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 17 Aug 2015 07:58:45 +0000

trust-store (1.1.0+15.04.20150629-0ubuntu1) vivid; urgency=medium

  [ Andreas Pokorny ]
  * Remove usage of mir_false make dependency to libmirclient-dev
    architecture independent, and remove unused libgflags dependency.
    removed: debian/trust-store-bin.install.amd64@ debian/trust-store-
    bin.install.arm64@ debian/trust-store-bin.install.armhf@
    debian/trust-store-bin.install.i386@ debian/trust-store-
    bin.install.with_mir

  [ CI Train Bot ]
  * Resync trunk. added: po/af.po po/bg.po po/eo.po po/et.po po/mk.po
    po/ny.po po/sk.po po/sq.po po/tg.po

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 29 Jun 2015 05:00:16 +0000
