=== data/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

configure_file(
  trust-store.pc.in trust-store.pc @ONLY
)

install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/trust-store.pc
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)
