=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -46,6 +46,9 @@
 add_executable(
   remote_agent_test
   remote_agent_test.cpp
+
+  ${CMAKE_SOURCE_DIR}/src/core/trust/runtime.h
+  ${CMAKE_SOURCE_DIR}/src/core/trust/runtime.cpp
 )
 
 add_executable(
@@ -59,6 +62,11 @@
 )
 
 add_executable(
+  privilege_escalation_prevention_agent_test
+  privilege_escalation_prevention_agent_test.cpp
+)
+
+add_executable(
   cached_agent_test
   cached_agent_test.cpp
 )
@@ -166,6 +174,20 @@
 )
 
 target_link_libraries(
+  privilege_escalation_prevention_agent_test
+
+  trust-store
+
+  gmock
+
+  gtest
+  gtest_main
+
+  ${PROCESS_CPP_LIBRARIES}
+)
+
+
+target_link_libraries(
   cached_agent_test
 
   trust-store
@@ -196,6 +218,7 @@
   dbus_test
 
   trust-store
+  trust-stored
 
   gmock
 
@@ -226,6 +249,7 @@
 add_test(app_id_formatting_trust_agent_test ${CMAKE_CURRENT_BINARY_DIR}/app_id_formatting_trust_agent_test)
 add_test(cached_agent_test ${CMAKE_CURRENT_BINARY_DIR}/cached_agent_test)
 add_test(white_listing_agent_test ${CMAKE_CURRENT_BINARY_DIR}/white_listing_agent_test)
+add_test(privilege_escalation_prevention_agent_test ${CMAKE_CURRENT_BINARY_DIR}/privilege_escalation_prevention_agent_test)
 # TODO(tvoss) Re-enable daemon tests once CI issues are resolved.
 # add_test(daemon_test ${CMAKE_CURRENT_BINARY_DIR}/daemon_test)
 add_test(dbus_test ${CMAKE_CURRENT_BINARY_DIR}/dbus_test)
@@ -242,10 +266,16 @@
     mir_agent_test.cpp
   )
 
+  add_executable(
+    click_desktop_entry_app_name_resolver_test
+    click_desktop_entry_app_name_resolver_test.cpp
+  )
+
   target_link_libraries(
     mir_agent_test
 
     trust-store
+    xdg
 
     gmock
 
@@ -255,7 +285,22 @@
     ${PROCESS_CPP_LIBRARIES}
   )
 
+  target_link_libraries(
+    click_desktop_entry_app_name_resolver_test
+
+    trust-store
+
+    gmock
+
+    gtest
+    gtest_main
+
+    ${PROCESS_CPP_LIBRARIES}
+  )
+
+
   add_test(mir_agent_test ${CMAKE_CURRENT_BINARY_DIR}/mir_agent_test --gtest_filter=*-*requires_mir)
+  add_test(click_desktop_entry_app_name_resolver_test ${CMAKE_CURRENT_BINARY_DIR}/click_desktop_entry_app_name_resolver_test)
 
   install(
     TARGETS mir_agent_test
