=== debian/changelog ===
trust-store (2.0.0+16.04.20160119-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Thomas Voß ]
  * Enable dual landing to vivid+o, and all later releases.
  * Merge core::trust::Runtime changes. Add better support for in-
    session service scenarios, with services likely being activated on
    demand. Add load test cases around in-session service scenario.

 -- Rodney Dawes <ci-train-bot@canonical.com>  Tue, 19 Jan 2016 15:22:52 +0000

trust-store (1.1.0+15.04.20160118.4-0ubuntu1) vivid; urgency=medium

  * Enable translations for vivid. (LP: #1532870)

 -- Thomas Voß <ci-train-bot@canonical.com>  Mon, 18 Jan 2016 20:35:42 +0000

trust-store (1.1.0+15.04.20160112-0ubuntu1) vivid; urgency=medium

  * Update pot file for trust-store. (LP: #1532870)

 -- Thomas Voß <ci-train-bot@canonical.com>  Tue, 12 Jan 2016 20:09:20 +0000

trust-store (1.1.0+15.04.20151211-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * Revert bump to major revision 2, vivid (+overlay) still has 1.1.0
    and gcc 4.9.

  [ Thomas Voß ]
  * Add a 3rd-party dependency on github.com/vosst/xdg.
  * Add interface mir::AppNameResolver. (LP: #1382610, #1504022)
  * Introduce a trust::PrivilegeEscalationPreventionAgent, filtering out
    invalid requests. Fixes lp:#1518883. (LP: #1518883)

 -- Thomas Voß <ci-train-bot@canonical.com>  Fri, 11 Dec 2015 08:58:16 +0000

trust-store (1.1.0+15.04.20151126-0ubuntu1) vivid; urgency=medium

  [ Thomas Voß ]
  * Revert bump to major revision 2, vivid (+overlay) still has
    1.1.0 and gcc 4.9. 

  [ CI Train Bot ]
  * New rebuild forced.
  * Resync trunk.

 -- Thomas Voß <ci-train-bot@canonical.com>  Thu, 26 Nov 2015 07:32:48 +0000
