=== debian/control ===
--- 
+++ 
@@ -1,3 +1,8 @@
+# This file is autogenerated. DO NOT EDIT!
+#
+# Modifications should be made to control.in instead.
+# This file is regenerated automatically in the clean target.
+#
 Source: trust-store
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
@@ -7,17 +12,21 @@
                google-mock,
                graphviz,
                libapparmor-dev,
+               libboost-filesystem-dev,
                libboost-program-options-dev,
                libboost-system-dev,
+               libboost-test-dev,
                libdbus-cpp-dev (>= 4.0.0),
                libdbus-1-dev,
                libgflags-dev,
+               libglib2.0-dev,
                libgoogle-glog-dev,
                libgtest-dev,
                libjson-c-dev,
                libmirclient-dev [amd64 arm64 i386 armhf],
                libprocess-cpp-dev,
                libsqlite3-dev,
+               lsb-release,
                pkg-config,
                qt5-default,
                qtbase5-dev,
